"Show Containing Folder" button failed to execute err

Bug #864992 reported by Dereck Wonnacott on 2011-10-03
158
This bug affects 36 people
Affects Status Importance Assigned to Milestone
evince (Ubuntu)
Medium
Jamie Strandboge
Oneiric
Medium
Jamie Strandboge
Precise
Medium
Jamie Strandboge

Bug Description

= Stable Release Update request =

Impact: multiple users are reporting that ths 'Show Containing Folder' is broken in 11.10 and later.

Development fix: this is fixed in the development release in 3.2.1-1ubuntu5 by adding the following to debian/apparmor-profile:
  /usr/bin/nautilus PUx,

Stable Fix: same as for development release

Test case: open a PDF, then do File/Show Containing Folder. Nautilus should open.

Regression potential is considered very minimal as the patch only allows more access.

== PREVIOUS DESCRIPTION ==
Very nice new feature, but it didn't work. I clicked "Show Containing Folder" and a red error message came up at the top of the window and said "Failed to execute Child process "Nautilus" (Permission Denied)

This system was upgraded two days ago from 11.04.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: evince 3.2.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
Date: Sun Oct 2 22:07:13 2011
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/evince
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: evince
UpgradeStatus: Upgraded to oneiric on 2011-09-30 (2 days ago)

Dereck Wonnacott (dereck) wrote :
Sebastien Bacher (seb128) wrote :

Seems like an issue due to the apparmor profile

Jamie Strandboge (jdstrand) wrote :

I can reproduce this:
apparmor="DENIED" operation="exec" parent=5120 profile="/usr/bin/evince" name="/usr/bin/nautilus" pid=5121 comm="evince" requested_mask="x" denied_mask="x" fsuid=1000 ouid=0

I'll fix this when I fix bug #851986.

Changed in evince (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Jamie Strandboge (jdstrand)
milestone: none → oneiric-updates
Vadim Peretokin (vperetokin) wrote :

This issue unfortunately made it's way into the final 11.10 release and I can reproduce it here still.

tags: removed: running-unity
pst007x (turone) wrote :

I have the same issue. It is a nice feature but I cannot seem to find a solution. I have checked permissions, etc all ok.

pst007x (turone) wrote :

Same issue in Document Viewer

Using poppler/cairo (0.16.7)
Document Viewer 3.2.1

Ubuntu 11.10

Jamie Strandboge (jdstrand) wrote :

The workaround for this is to add to /etc/apparmor.d/local/usr.bin.evince:
  /usr/bin/nautilus Ux,

Then run:
$ sudo apparmor_parser -r /etc/apparmor.d/usr.bin.evince

Changed in evince (Ubuntu Precise):
status: Triaged → In Progress
milestone: none → precise-alpha-2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evince - 3.2.1-1ubuntu5

---------------
evince (3.2.1-1ubuntu5) precise; urgency=low

  * debian/apparmor-profile*:
    - allow owner read of @{PROC}/[0-9]*/auxv
    - use PUx for yelp instead of Ux
    - explicitly deny reads to /run/udev/data/** (LP: #883045)
    - allow PUx for nautilus for evince (LP: #864992)
    - allow ixr of gedit for text attachments (LP: #837549)
 -- Jamie Strandboge <email address hidden> Wed, 04 Jan 2012 11:01:38 -0600

Changed in evince (Ubuntu Precise):
status: In Progress → Fix Released
Jamie Strandboge (jdstrand) wrote :

Uploaded 3.2.1-0ubuntu2.1 to oneiric-proposed. Waiting on approval.

description: updated
Changed in evince (Ubuntu Oneiric):
status: Triaged → In Progress

Hello Dereck, or anyone else affected,

Accepted evince into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in evince (Ubuntu Oneiric):
status: In Progress → Fix Committed
tags: added: verification-needed
Miklos Juhasz (mjuhasz) wrote :

The proposed version resolves this bug, thank you!

Bartosz Kosiorek (gang65) wrote :

I installed the evince from proposed for Ubuntu Oneiric, and the "Show Containing Folder" button is working now without problem.

Before installation the error was displayed after click the "Show Containing Folder" button.

So verification was successfull

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evince - 3.2.1-0ubuntu2.1

---------------
evince (3.2.1-0ubuntu2.1) oneiric-proposed; urgency=low

  * debian/apparmor-profile: allow PUx for nautilus for evince (LP: #864992)
 -- Jamie Strandboge <email address hidden> Wed, 04 Jan 2012 13:38:28 -0600

Changed in evince (Ubuntu Oneiric):
status: Fix Committed → Fix Released
samuel (samuel-h) wrote :

Have this in 12.04 with nemo set as default file manager

Will Law (williumbillium) wrote :

I can reproduce this issue in xubuntu 13.04 with Thunar as the default file manager

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers